Module ij
Package ij.plugin

# Class ZAxisProfiler

java.lang.Object
ij.plugin.ZAxisProfiler

All Implemented Interfaces:
  `PlotMaker`, `Measurements`, `PlugIn`

public class ZAxisProfiler extends Object implements PlugIn, Measurements, PlotMaker
Implements the Image/Stacks/Plot Z-axis Profile command, which plots the selection mean gray value versus slice number.

## Field Summary

### Fields inherited from interface ij.measure.Measurements

`ADD_TO_OVERLAY, ALL_STATS, AREA, AREA_FRACTION, CENTER_OF_MASS, CENTROID, CIRCULARITY, ELLIPSE, FERET, INTEGRATED_DENSITY, INVERT_Y, KURTOSIS, LABELS, LIMIT, MAX_STANDARDS, MEAN, MEDIAN, MIN_MAX, MODE, NaN_EMPTY_CELLS, PERIMETER, RECT, SCIENTIFIC_NOTATION, SHAPE_DESCRIPTORS, SKEWNESS, SLICE, STACK_POSITION, STD_DEV`

## Constructor Summary

Constructors
Constructor
Description
`ZAxisProfiler()`

## Method Summary

Modifier and Type
Method
Description
`Plot`
`getPlot()`
Returns a profile plot.
`static Plot`
`getPlot(ImagePlus imp)`
Returns a Plot of the selection mean gray value versus slice number.
`static Plot`
`getPlot(ImagePlus imp, String options)`
Returns a Plot of the selection mean versus slice number for the specified hyperstack, where 'options' can be "time" or "z-axis".
`ImagePlus`
`getSourceImage()`
Returns the ImagePlus used to generate the profile plots.
`void`
`run(String arg)`
This method is called when the plugin is loaded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ZAxisProfiler

public ZAxisProfiler()

## Method Details

### getPlot

public static Plot getPlot(ImagePlus imp)
Returns a Plot of the selection mean gray value versus slice number.

### getPlot

public static Plot getPlot(ImagePlus imp, String options)
Returns a Plot of the selection mean versus slice number for the specified hyperstack, where 'options' can be "time" or "z-axis".

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### getPlot

public Plot getPlot()
Description copied from interface: `PlotMaker`
Returns a profile plot.

Specified by:
  `getPlot` in interface `PlotMaker`

### getSourceImage

public ImagePlus getSourceImage()
Description copied from interface: `PlotMaker`
Returns the ImagePlus used to generate the profile plots.

Specified by:
  `getSourceImage` in interface `PlotMaker`